package com.example.progressbarapp;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ProgressBar;
import android.widget.TextView;

public class MainActivity extends Activity implements OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button button = (Button)findViewById(R.id.button);
        button.setOnClickListener(this);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

    @Override
    public void onClick(View view) {
        ProgressBar bar = (ProgressBar)findViewById(R.id.progressBar);
        TextView text = (TextView)findViewById(R.id.textView);

        int nowValue = bar.getProgress();
        int maxValue = bar.getMax();

        CharSequence str = "";

        if (maxValue == nowValue) {
            nowValue = 0;
        } else {
            bar.setVisibility(View.VISIBLE);
            nowValue++;
        }

        if (nowValue == 0) {
            bar.setVisibility(View.GONE);
            str = "ボタンを押してください。";
        } else {
            str = "現在処理中..." + "[" + nowValue + "]";
        }

        bar.setProgress(nowValue);
        text.setText(str);
    }
}
